Skip to main content
GET
/
api
/
v1
/
brands
/
{brand_id}
/
dashboards
/
competitor-google-ads
/
keywords
Get Competitor Keywords
curl --request GET \
  --url https://api.example.com/api/v1/brands/{brand_id}/dashboards/competitor-google-ads/keywords \
  --header 'Authorization: Bearer <token>'
{
  "competitor_domain": "<string>",
  "keywords": [
    {
      "keyword": "<string>",
      "position": 123,
      "cpc": 123,
      "search_volume": 123,
      "etv": 123,
      "url": "<string>",
      "paid": true
    }
  ],
  "captured_at": "2023-11-07T05:31:56Z",
  "estimate_notice": "Estimated — modelled from competitor paid keywords (DataForSEO). Not actual competitor spend."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
string<uuid>
required

Query Parameters

competitor
string
required

competitor domain

Minimum string length: 1

Response

Successful Response

competitor_domain
string
required
keywords
KeywordRow · object[]
required
captured_at
string<date-time> | null
estimate_notice
string
default:Estimated — modelled from competitor paid keywords (DataForSEO). Not actual competitor spend.